cURL
curl --request GET \
--url https://threat-intel-api.abusix.com/beta/tags/{name}/ipsimport requests
url = "https://threat-intel-api.abusix.com/beta/tags/{name}/ips"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://threat-intel-api.abusix.com/beta/tags/{name}/ips', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://threat-intel-api.abusix.com/beta/tags/{name}/ips",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://threat-intel-api.abusix.com/beta/tags/{name}/ips"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://threat-intel-api.abusix.com/beta/tags/{name}/ips")
.asString();require 'uri'
require 'net/http'
url = URI("https://threat-intel-api.abusix.com/beta/tags/{name}/ips")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"status": "success",
"statusCode": 200,
"result": {
"tag": "credentials:brute-force",
"entries": [
"1.1.1.1",
"1.2.3.4"
],
"lastUpdate": "<string>",
"total": 123,
"snapshot": "<string>"
}
}{
"status": "failure",
"statusCode": 400,
"errors": {
"$": "<string>"
}
}Tags
Get tags ips
GET
/
tags
/
{name}
/
ips
cURL
curl --request GET \
--url https://threat-intel-api.abusix.com/beta/tags/{name}/ipsimport requests
url = "https://threat-intel-api.abusix.com/beta/tags/{name}/ips"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://threat-intel-api.abusix.com/beta/tags/{name}/ips', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://threat-intel-api.abusix.com/beta/tags/{name}/ips",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://threat-intel-api.abusix.com/beta/tags/{name}/ips"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://threat-intel-api.abusix.com/beta/tags/{name}/ips")
.asString();require 'uri'
require 'net/http'
url = URI("https://threat-intel-api.abusix.com/beta/tags/{name}/ips")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"status": "success",
"statusCode": 200,
"result": {
"tag": "credentials:brute-force",
"entries": [
"1.1.1.1",
"1.2.3.4"
],
"lastUpdate": "<string>",
"total": 123,
"snapshot": "<string>"
}
}{
"status": "failure",
"statusCode": 400,
"errors": {
"$": "<string>"
}
}Query Parameters
Snapshot variable from a previous request for the same tag. If you provide this variable, you will iterate over the same dataset as with your previous request(s). If not provided, the underlying data may change while iterating over it as indicated by the snapshot or lastUpdate variable.
Required string length:
24